# NixOS Configurations

My NixOS configurations with dotfiles for my systems.

![Screenshot of desktop](./.gitea/assets/desktop.png)

## Uses

|        |            |
| ------ | ---------- |
| WM     | Hyprland   |
| Shell  | Fish       |
| Prompt | Starship   |
| Theme  | Catppuccin |
| GPU    | Nvidia     |
| Panel  | Hyprpanel  |
| Runner | Rofi       |
| Fetch  | Fastfetch  |

Requires Nix-channel with [NixOS 24.11](https://nixos.org/)

## Commands

First time run, will create a shell with the minimum dependencies in order to download the rest

```Shell
nix develop . --experimental-features 'nix-command flakes'
just switch-now
```

Scripts below will not run unless the necessary packages have been added to the path, either in a shell or by running nixos-rebuild

Format all .nix files

```Shell
  just fmt
```

Rebuild and test Nix configuration

- Will add all new files to git and format all nix-files

```Shell
  just test
```

Rebuild and switch Nix configuration

- Will add all new files to git and format all nix-files

```Shell
  just switch
```

Update and switch

- Will update the flakes and nix-channel, then switch if there are no errors

```Shell
  just update-all
```

To update a single flake and rebuild

```Shell
  just update zen-browser
```
